<template>
  <div class="cont">
    <el-container>
      <appBar />
      <sideDrawer />
      <el-container>
        <el-main style="margin-left:-100px">
          <el-row>
            <el-col span="6" class="pa-0 pl-2">
              <selectProject />
              <treeview />
            </el-col>
            <el-col span="12" class="pa-0">
              <writeBox />
            </el-col>
            <el-col span="6" class="pa-0">
              <conversation />
            </el-col>
          </el-row>
        </el-main>
      </el-container>
    </el-container>
  </div>
</template>

<script>
import appBar from "../basic/appBar";
import sideDrawer from "../basic/sideDrawer";
import writeBox from "./writeBox";
import treeview from "./treeview";
import conversation from "../chat/conversation";
import selectProject from "./selectProject";
export default {
  name: "WritePage",
  components: {
    appBar,
    sideDrawer,
    writeBox,
    treeview,
    conversation,
    selectProject
  },
  data: () => ({}),
  methods: {},
  beforeDestroy: function() {
    this.$evtbus.$emit("CodeEdit.UserLeave", this.$store.getters.userName);
  },
  mounted() {}
};
</script>

<style scoped>
.cont {
  /* background-color: #f8ffaa; */
  background-color: #eeeeee;
  height: 100%;
  width: 100%;
}
</style>
